Ok...so this seems like the best way to go...

Discussion in 'Wii - Hacking' started by DeltaBurnt, May 7, 2009.

  1. DeltaBurnt
    OP

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    Ok so I'm a pro at DS and PSP hacking and somewhat new to Wii hacking. I've been looking into for the like last 1.5 - 2 weeks. I for the most part decided this would be my best course of action when bannerbomb comes out (No I'm not a noob, I'm just lazy. I knew about the TP exploit when it came out but I didn't feel like buying the Wii version and I also knew 4.0 blocked it):

    1. Use bannerbomb to downgrade to 3.2
    2. Install HBC with bannerbomb
    3. Install the latest cIOS by Wanni
    4. Install preloader/starfall/bootmii and use the hacks.ini to make my life extremely easier
    5. Use WiiSCU so I can still go on the Shop Channel and what not.
    6. Install the homebrew and apps I want and be happy

    Now does that plan seem good or should I change/add anything to it? Honestly I see no need in updating to 4.0 again because...I mean wow it's an SD Menu...and some other things I don't care about.
     
  2. Gamemaster1379

    Gamemaster1379 GBAtemp Advanced Fan

    Member
    588
    82
    May 5, 2008
    United States
    United States
    Since you're already at 4.0 legitimately, you may not be able to install a cIOS, as it's installation relies upon a trucha bug. (somebody correct me if I'm wrong about this)

    As for the choices of loaders, I suggest Preloader for the time being. I've not used starfall, but from what I understand, it depends on the fact you have the Twilight Hack to recover from a brick, whereas you can boot directly into the HBC with Preloader. Bootmii has yet to have come out, but there's rumors that it may be patching the exploit that backed up Wii games run on. If you have any intent to run backups, Bootmii won't be your best bet.

    EDIT: and install the Homebrew Browser. It's a Homebrew application that allows you to download other apps for your HBC. It has a nice GUI, and includes quite a few popular applications.
     
  3. DeltaBurnt
    OP

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    Yes I know you can't install a cIOS on 4.0 but step one says "1. Use bannerbomb to downgrade to 3.2".

    And yes I know bootmii isn't out yet.
     
  4. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    Actually, I think you can use comex's dvdx 3.4 to downgrade IOS35.
    Then you can use "Wad Manager IOS35" to install a CIOS wad
    http://gbatemp.net/index.php?showtopic=146...Davi92&st=0

    I haven't tried this myself, though

    So DeltaBurnt, this is what I'd do whenever/if bannerbomb comes out:

    1. Use bannerbomb to start cmdvdx3.4 and downgrade IOS35
    2. Use Custom Wad Manager IOS35 to install a CIOS wad (Firmware downgrader needs CIOS)
    3. Use Waninkoko's firmware downgrader to get to 3.2U
    4. Run Waninkoko's IOS Downgrader (Not CIOS Downgrader) to get the trucha bug back in most of your IOS's
    5. Install preloader, starfall, bootmii, whatever you want
     
  5. DeltaBurnt
    OP

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    Guys it really doesn't matter because I said "1. Use bannerbomb to downgrade to 3.2".

    :\
     
  6. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    The thing is, you need CIOS to downgrade (At least with Waninkoko's downgrader)
     
  7. DeltaBurnt
    OP

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
  8. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    As far as I know, bannerbomb just boots whatever homebrew you have on the sdcard
    Doesn't do anything more.

    You can use it to boot a downgrader, but you'll need an IOS with the trucha bug or a CIOS (which you don't have because you did a normal Nintendo update) to actually downgrade.

    That guide is the same guide I posted above.
    It should work,.It just explains how to downgrade IOS35 to a version with the trucha bug, use a custom version of wad manager that runs off of the trucha bugged IOS35 to install CIOS, then dowgrade.
     
  9. PNo4

    PNo4 GBAtemp Regular

    Member
    259
    0
    Apr 10, 2009
    Why do everyone wanna downgrade?

    Whats wrong with staying on 4.0 and patch "trucha sign-bug" back into IOS:es?
     
  10. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    I agree, I'm on 4.0 with trucha-patched IOS's and love it.

    The only thing is starfall doesn't work with 4.0, and some people prefer it over preloader.
     
  11. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    If the Wii was produced with 4.0, you can't downgrade it. And yes this is true for if/when bannerbomb will be released. The new Wiis can't run the old IOS with that have the trucha bug, so a downgrade is not an option on them. And without these IOS, you can forget about cIOS installation.

    If you want a cIOS, get a used Wii with 3.4 or lower on it.
     
  12. wrettcaughn

    wrettcaughn Misunderstood Moral Elitist

    Member
    3,785
    863
    Mar 14, 2009
    United States
    Moot point...

    Bannerbomb and BootMii are coming as a package along with a new dvdx installer. That's straight from bushing.

    BootMii news
     
  13. tueidj

    tueidj I R Expert

    Member
    2,569
    820
    Jan 8, 2009
    What's stopping a homebrew program from patching an IOS that's already installed, like starfall patches the system menu?
     
  14. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    With the new IOS, you can't write to the nand which would be required to patch the IOS directly.
     
  15. tueidj

    tueidj I R Expert

    Member
    2,569
    820
    Jan 8, 2009
    I thought they only removed /dev/flash which gives raw access to the NAND, not /dev/fs.
     
  16. Hells Guardian

    Hells Guardian GBAtemp Maniac

    Member
    1,113
    1
    Dec 25, 2008
    United States
    What you will want to do is downgrade all system IOS's and just leave it at that. honestly downgrading is not needed. yes bannerbomb can load homebrew no it won't downgrade for you.
     
  17. DeltaBurnt
    OP

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    Guys I'm not stupid, I know that Wiis from late 2008 don't work with these exploits. I got mine mid 2007 and it did not come with 4.0.

    I updated to 4.0 because I was lazy not stupid, and at the time I myself didn't see much potential with wii hacking.

    Anyways my friend who told me you could downgrade via bannerbomb was mistaken about it downgrading. Either way I can just follow the non cIOS downgrade tut and It will give me the same results.

    And the reason I don't want 4.0 is because it seems like too much of a hassle to downgrade all the IOSs and if I'm not mistaken alot of homebrew doesn't work for it...unless downgrading the IOSs changes that.

    I'm also thinking of adding "Install Softmii 3.0" too the list. AND YES, I know 3.0 isn't out yet but it will be coming out with bootmii and bannerbomb. Who says? The topic of #softmii does.
     
  18. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    Ok, then wait for bannerbomb, and follow the 4.0 downgrade guide to downgrade IOS35, and then install the cIOS. After this you can follow any guide you want.

    Of course, from the beginning every PSP firmware was exploitable and Sony never cared to even try to fix it...